Subject: Re: bug#8615: Please make sure v q removes the buffer for JPGs just like it does for other files

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 17 Jul 2011 04:23:46 +0200

Stefan Monnier <[email-masked]> writes:

>>> C-u q does.  And in any case, I was just describing the usual binding
>>> used in special-modes, regardless of whether it behaves like view-mode.
>>> FWIW, I find view-mode's behavior generally odd and hard to predict (as
>>> a user), so I don't think it's crucial to always follow its lead.
>> No, but it would be nice if `v' in dired always did the same thing
>> with `q'.
>
> Why?

If the user uses `v', they probably expects to see the article in view
mode.  If they didn't, they would have hit RET instead.

One of the things that `v' gives you is `q'.

QED.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/